#!/usr/bin/env bash

source "$(dirname "$0")/variables.conf"

mount $containers_dir

cd /var/lib/machines
for filename in *; do
  systemctl start cont-snap@$filename.service
  btrfs subvolume delete $containers_dir/$filename/$(date -d "-15 days" +"%Y%m%d")*
done

umount $containers_dir

exit 0
